%global momorel 1

Name: sqlite
Summary: SQLite is a C library that implements an embeddable SQL database engine
Version: 3.3.6
Release: %{momorel}m
%NoSource 0 http://www.sqlite.org/sqlite-%{version}.tar.gz a2cb1fafad5c2587e513dcbd18ace097
Group: Applications/Databases
URL: http://www.sqlite.org/
License: Public Domain
BuildPreReq: readline-devel >= 5.0, ncurses-devel, tcl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SQLite3 is a C library that implements an embeddable SQL database engine.
Programs that link with the SQLite3 library can have SQL database access
without running a separate RDBMS process. The distribution comes with a
standalone command-line access program (sqlite3) that can be used to
administer an SQLite3 database and which serves as an example of how to
use the SQLite3 library.

%package -n %{name}-devel
Summary: Header files and libraries for developing apps which will use sqlite3
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel
The sqlite3-devel package contains the header files and libraries needed
to develop programs that use the sqlite database library.

%prep
%setup -q -n sqlite-%{version}

%build
%configure --enable-utf8
%make
make doc

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%make DESTDIR=%{buildroot} install 

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_bindir}/*
%doc README doc/*

%files -n %{name}-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/sqlite3.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/tcl*/sqlite3
%{_includedir}/*


%changelog
* Mon Jul 31 2006 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.6-1m)
- minor bugfixes

* Fri Jul  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.5-3m)
- rebuild against readline-5.0

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.5-2m)
- change package name

* Sun Apr  9 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.3.5-1m)
- update to 3.3.5

* Wed Feb 15 2006 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.4-1m)
- several bugfixes

* Thu Feb  9 2006 Kazuhiko <kazuhiko@fdiary.net>
- (3.3.3-1m)
- new stable version

* Wed Dec 21 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.8-1m)
- update to 3.2.8

* Mon Sep 26 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.7-1m)
- update to 3.2.7

* Tue Sep 20 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.6-1m)
- update to 3.2.6

* Mon Aug 29 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.5-1m)
- update to 3.2.5

* Thu Aug 25 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.4-1m)
- update to 3.2.4

* Mon Aug 22 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.3-1m)
- update to 3.2.3
- %%{_libdir}/*.so moved from main package to devel package

* Tue Aug  2 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.2.2-1m)
- update to 3.2.2
- revised URL

* Mon Jun 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.1-1m)
- initial import to Momonga

